Skip to content

Wireguard

All operations require authentication.

3 operationsv1/overTheBox/{serviceName}
Agent setup

Regenerate the WireGuard server key of an OverTheBox serviceBeta

POST
/1.0/overTheBox/{serviceName}/wireguard/regenerate

Regenerates the key of the WireGuard server of the service, which changes the server public key the peers use. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Response

200tasksuccessful operation
name
read-only
string

Service task name

status
read-only
statusEnum

Service task status

Valuesdoingdoneerrortodo
taskId
read-only
string

Service task ID

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/wireguard/regenerate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string", "status": "doing", "taskId": "string"}

Reset the WireGuard configuration of an OverTheBox serviceBeta

POST
/1.0/overTheBox/{serviceName}/wireguard/reset

Resets the WireGuard configuration of the service to its default. Returns the task that performs the reset.

Path parameters

serviceName
required
string

Service name

Response

200tasksuccessful operation
name
read-only
string

Service task name

status
read-only
statusEnum

Service task status

Valuesdoingdoneerrortodo
taskId
read-only
string

Service task ID

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/wireguard/reset \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string", "status": "doing", "taskId": "string"}

Get the WireGuard server of an OverTheBox serviceBeta

GET
/1.0/overTheBox/{serviceName}/wireguard

Returns the WireGuard server configuration: its public key, private IPv4 block, connection endpoint (IPv4 and port), and the maximum number of peers configured and simultaneously active.

Path parameters

serviceName
required
string

Service name

Response

200serversuccessful operation
endpoint
read-only
endpoint

Wireguard server connection endpoint

maxPeerActive
read-only
integer

Maximum peers simultaneously active

maxPeerAllowed
read-only
integer

Maximum peers simultaneously configured

privateIpv4
read-only
ipv4Block

Wireguard server private IP block

publicKey
read-only
string

Wireguard server public key

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/wireguard \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endpoint": { "ipv4": "192.0.2.0", "port": 0 }, "maxPeerActive": 0, "maxPeerAllowed": 0, "privateIpv4": "192.0.2.0/24", "publicKey": "string"}